| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CS::PluginCommon::SoftShader::SoftwareTexture Struct Reference

List of all members.

## Public Attributes
int | and_h
int | and_w
| (1 << log2(width)) - 1 and (1 << log2(height)) - 1
uint32 * | bitmap
| The bitmap.
int | h
int | shf_h
int | shf_w
| log2(width) and log2(height)
int | w
| Width and height.

## Detailed Description

Definition at line 32 of file texture.h.

## Member Data Documentation

int CS::PluginCommon::SoftShader::SoftwareTexture::and_w

(1 << log2(width)) - 1 and (1 << log2(height)) - 1

Definition at line 39 of file texture.h.

uint32* CS::PluginCommon::SoftShader::SoftwareTexture::bitmap

The bitmap.

Definition at line 41 of file texture.h.

int CS::PluginCommon::SoftShader::SoftwareTexture::shf_w

log2(width) and log2(height)

Definition at line 37 of file texture.h.

int CS::PluginCommon::SoftShader::SoftwareTexture::w

Width and height.

Definition at line 35 of file texture.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/texture.h